Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class EntityHome

    java.lang.Object
      com.beasys.commerce.foundation.EntityHome

All Implemented Interfaces
  SmartEJBHome, SmartHome, Remote, javax.ejb.EJBHome

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class EntityHome

extends Object
implements SmartEJBHome

This is the abstract base class that all entity homes must extend.

See Also
  `Entity`, `EntityImpl`

Constructor Summary
`EntityHome()` Deprecated See BEA Commerce product offering

Method Summary
`javax.ejb.EJBMetaData` | `getEJBMetaData()` Deprecated See BEA Commerce product offering
`void` | `remove(javax.ejb.Handle arg1)` Deprecated See BEA Commerce product offering
`void` | `remove(Object arg1)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBHome
`getHomeHandle`

Constructor Detail

### EntityHome

    public EntityHome()

  Deprecated See BEA Commerce product offering

Method Detail

### getEJBMetaData

    public javax.ejb.EJBMetaData getEJBMetaData()
                                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Implements EjbHome.getEJBMetaData().

  Specified by:
    `getEJBMetaData` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`

### remove

    public void remove(Object arg1)
                throws RemoteException,
                       javax.ejb.RemoveException

  Deprecated See BEA Commerce product offering

  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`
    `javax.ejb.RemoveException`

### remove

    public void remove(javax.ejb.Handle arg1)
                throws RemoteException,
                       javax.ejb.RemoveException

  Deprecated See BEA Commerce product offering

  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`
    `javax.ejb.RemoveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved